Bug 703645 - preupgrade doesn't properly setup grub for install on reboot
preupgrade doesn't properly setup grub for install on reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
14
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-10 18:47 EDT by G.Wolfe Woodbury
Modified: 2012-08-16 11:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2011-05-10 18:47:25 EDT
Description of problem:
  Running preupgrade in a vm guest; FC14->FC15RC1. Loads and resolves ok, but the grub entry is not properly activated for reboot.  The kernel and initramfs are installed properly but the "default=" parameter in grub.conf is set to 1, rendering the boot impossible to get to under default conditions.

Version-Release number of selected component (if applicable):
 preupgrade for F14

How reproducible:
 always

Steps to Reproduce:
1. install and update FC14
2. preupgrade
3. reboot
  
Actual results:
  The old FC14 kernel stanza boots, and there is no access to the boot menu to select the proper grub stanza.

Expected results:
  The new FC15 kernel stanza should boot and upgrade the system.

Additional info:
  in vm guest (both KVM and VBox)
Comment 1 G.Wolfe Woodbury 2011-05-10 18:50:21 EDT
There is a workaround, edit the grub.conf and correct the "default=" option to boot the new stanza 0. Then reboot again and preupgrade proceeds okay.

[I'd have a patch, but I don't do python well, and don't quite understand grubby]
Comment 2 Sheldon Hearn 2011-05-23 04:05:20 EDT
Same story here inside VirtualBox 4.0.8r71778, except that after I manually corrected grub.conf, the preupgrade process hangs at "trying to unpack rootfs image as initramfs".
Comment 3 Sheldon Hearn 2011-05-25 10:19:22 EDT
(In reply to comment #2)
> Same story here inside VirtualBox 4.0.8r71778, except that after I manually
> corrected grub.conf, the preupgrade process hangs at "trying to unpack rootfs
> image as initramfs".

512MB RAM isn't enough for a Fedora 15 install on a VirtualBox, because

a) GNOME3 wants a 3D graphics card,
b) VirtualBox takes 3D graphics card memory out of the total allocated for the virtual machine, and
c) You really can't complete a Fedora 15 preupgrade in less than 512MB RAM.

I completed the install like this:

* run preupgrade-cli (or preupgrade)
* manually set default=0 in grub.conf,
* shut down,
* allocate 1024MB RAM,
* boot up,
* allowing the upgrade to complete and reboot,
* waiting for the boot process to appear to hang waiting for plymouth-quit,
* logging in as root on  another vty (e.g. Alt-F2),
* reinstalling the vbox additions:
*   mount /dev/cdrom /mnt
*   /mnt/VBoxLinuxAdditions.run
* reboot

Thereafter, I was able to reduce the total RAM allocation for the VM to 768MB, although that got sluggish, and I've now reverted to 1024MB permanently.
Comment 4 Sheldon Hearn 2011-05-26 04:08:12 EDT
Also, the guy who sits next to me ran into the originally reported bug (incorrect default item in grub.conf) during an upgrade on a physical machine.

So I think virtuality is a red herring.
Comment 5 Fedora End Of Life 2012-08-16 11:18:56 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.